"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Illustration = _ref => {
  let {
    primaryColor,
    cardImage
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: require('./../assets/OldCard.png'),
    style: styles.oldCard,
    resizeMode: 'contain'
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.cardContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: require('./../assets/arrow.png'),
    style: {
      tintColor: primaryColor
    }
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: styles.card,
    resizeMode: 'contain',
    source: cardImage
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: [styles.image, {
      top: -15,
      left: -20
    }],
    source: require('./../assets/netflix.png')
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: [styles.image, {
      right: 10,
      top: -20
    }],
    source: require('./../assets/starbucks.png')
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: [styles.image, {
      right: -15,
      bottom: -30
    }],
    source: require('./../assets/amazon.png')
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: [styles.image, {
      bottom: -35
    }],
    source: require('./../assets/lyft.png')
  })));
};
const styles = _reactNative.StyleSheet.create({
  image: {
    position: 'absolute'
  },
  container: {
    width: '90%',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    paddingVertical: 20,
    marginBottom: 20
  },
  oldCard: {
    width: 105,
    height: 70,
    transform: [{
      rotate: '-3deg'
    }],
    borderRadius: 10
  },
  cardContainer: {
    flex: 1,
    margin: 10,
    justifyContent: 'center',
    alignItems: 'center'
  },
  card: {
    width: 105,
    height: 70,
    transform: [{
      rotate: '3deg'
    }],
    borderRadius: 10
  }
});
var _default = Illustration;
exports.default = _default;
//# sourceMappingURL=Illustration.js.map